Index: uspace/lib/c/generic/iplink_srv.c
===================================================================
--- uspace/lib/c/generic/iplink_srv.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/lib/c/generic/iplink_srv.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
@@ -42,13 +42,13 @@
 #include <inet/iplink_srv.h>
 
-static void iplink_get_mtu_srv(iplink_srv_t *srv, cap_call_handle_t callid,
+static void iplink_get_mtu_srv(iplink_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	size_t mtu;
 	errno_t rc = srv->ops->get_mtu(srv, &mtu);
-	async_answer_1(callid, rc, mtu);
-}
-
-static void iplink_get_mac48_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+	async_answer_1(chandle, rc, mtu);
+}
+
+static void iplink_get_mac48_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -56,30 +56,30 @@
 	errno_t rc = srv->ops->get_mac48(srv, &mac);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(addr48_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &mac, size);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &mac, size);
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
-}
-
-static void iplink_set_mac48_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_set_mac48_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -87,81 +87,81 @@
 	size_t size;
 	addr48_t mac;
-	cap_call_handle_t callid;
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	cap_call_handle_t chandle;
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 	}
 
 	rc = srv->ops->set_mac48(srv, &mac);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &mac, sizeof(addr48_t));
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &mac, sizeof(addr48_t));
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
-}
-
-static void iplink_addr_add_srv(iplink_srv_t *srv, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_addr_add_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_addr_t addr;
-	errno_t rc = async_data_write_finalize(callid, &addr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	errno_t rc = async_data_write_finalize(chandle, &addr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
 	rc = srv->ops->addr_add(srv, &addr);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_addr_remove_srv(iplink_srv_t *srv, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_addr_remove_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_addr_t addr;
-	errno_t rc = async_data_write_finalize(callid, &addr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	errno_t rc = async_data_write_finalize(chandle, &addr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
 	rc = srv->ops->addr_remove(srv, &addr);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_send_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_send_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -174,5 +174,5 @@
 	    &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -180,30 +180,30 @@
 	rc = srv->ops->send(srv, &sdu);
 	free(sdu.data);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_send6_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_send6_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
 	iplink_sdu6_t sdu;
 
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(addr48_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_data_write_finalize(callid, &sdu.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_data_write_finalize(chandle, &sdu.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
@@ -211,5 +211,5 @@
 	    &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -217,5 +217,5 @@
 	rc = srv->ops->send6(srv, &sdu);
 	free(sdu.data);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -229,5 +229,5 @@
 }
 
-errno_t iplink_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+errno_t iplink_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	iplink_srv_t *srv = (iplink_srv_t *) arg;
@@ -237,5 +237,5 @@
 	if (srv->connected) {
 		fibril_mutex_unlock(&srv->lock);
-		async_answer_0(iid, EBUSY);
+		async_answer_0(icall_handle, EBUSY);
 		return EBUSY;
 	}
@@ -245,5 +245,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
@@ -259,5 +259,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -267,5 +267,5 @@
 			srv->connected = false;
 			fibril_mutex_unlock(&srv->lock);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -273,26 +273,26 @@
 		switch (method) {
 		case IPLINK_GET_MTU:
-			iplink_get_mtu_srv(srv, callid, &call);
+			iplink_get_mtu_srv(srv, chandle, &call);
 			break;
 		case IPLINK_GET_MAC48:
-			iplink_get_mac48_srv(srv, callid, &call);
+			iplink_get_mac48_srv(srv, chandle, &call);
 			break;
 		case IPLINK_SET_MAC48:
-			iplink_set_mac48_srv(srv, callid, &call);
+			iplink_set_mac48_srv(srv, chandle, &call);
 			break;
 		case IPLINK_SEND:
-			iplink_send_srv(srv, callid, &call);
+			iplink_send_srv(srv, chandle, &call);
 			break;
 		case IPLINK_SEND6:
-			iplink_send6_srv(srv, callid, &call);
+			iplink_send6_srv(srv, chandle, &call);
 			break;
 		case IPLINK_ADDR_ADD:
-			iplink_addr_add_srv(srv, callid, &call);
+			iplink_addr_add_srv(srv, chandle, &call);
 			break;
 		case IPLINK_ADDR_REMOVE:
-			iplink_addr_remove_srv(srv, callid, &call);
+			iplink_addr_remove_srv(srv, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
